org.baraza.com

## Class BOBCheque

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - java.applet.Applet
        - - javax.swing.JApplet
          - - org.baraza.com.BOBCheque

- All Implemented Interfaces:
    ActionListener, WindowListener, ImageObserver, MenuContainer, Printable, Serializable, EventListener, Accessible, ListSelectionListener, RootPaneContainer

      public class BOBCheque
      extends JApplet
      implements Printable, ActionListener, ListSelectionListener, WindowListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JApplet

      `JApplet.AccessibleJApplet`

    - ### Nested classes/interfaces inherited from class java.applet.Applet

      `Applet.AccessibleApplet`

    - ### Nested classes/interfaces inherited from class java.awt.Panel

      `Panel.AccessibleAWTPanel`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JApplet

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.print.Printable

      `NO_SUCH_PAGE, PAGE_EXISTS`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BOBCheque()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent ev)`
    `void` | `addFrame()`
    `void` | `addLine(String ln, int x, int y)`
    `void` | `clearEFT()`
    `void` | `close()`
    `void` | `destroy()`
    `void` | `exportData()`
    `void` | `init()`
    `static void` | `main(String[] args)`
    `void` | `makeCheque()`
    `void` | `makeEFT()`
    `int` | `print(Graphics g, PageFormat pf, int page)`
    `void` | `printCheque()`
    `void` | `valueChanged(ListSelectionEvent e)`
    `void` | `windowActivated(WindowEvent e)`
    `void` | `windowClosed(WindowEvent e)`
    `void` | `windowClosing(WindowEvent e)`
    `void` | `windowDeactivated(WindowEvent e)`
    `void` | `windowDeiconified(WindowEvent e)`
    `void` | `windowIconified(WindowEvent e)`
    `void` | `windowOpened(WindowEvent e)`

    - ### Methods inherited from class javax.swing.JApplet

      `addImpl, createRootPane, getAccessibleContext, getContentPane, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isRootPaneCheckingEnabled, paramString, remove, repaint, setContentPane, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.applet.Applet

      `getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, isValidateRoot, newAudioClip, play, play, resize, resize, setStub, showStatus, start, stop`

    - ### Methods inherited from class java.awt.Panel

      `addNotify`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BOBCheque

          public BOBCheque()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### init

          public void init()

      Overrides:
        `init` in class `Applet`

    - #### destroy

          public void destroy()

      Overrides:
        `destroy` in class `Applet`

    - #### addFrame

          public void addFrame()

    - #### print

          public int print(Graphics g,
                  PageFormat pf,
                  int page)

      Specified by:
        `print` in interface `Printable`

    - #### addLine

          public void addLine(String ln,
                     int x,
                     int y)

    - #### makeCheque

          public void makeCheque()

    - #### makeEFT

          public void makeEFT()

    - #### printCheque

          public void printCheque()

    - #### exportData

          public void exportData()

    - #### clearEFT

          public void clearEFT()

    - #### actionPerformed

          public void actionPerformed(ActionEvent ev)

      Specified by:
        `actionPerformed` in interface `ActionListener`

    - #### valueChanged

          public void valueChanged(ListSelectionEvent e)

      Specified by:
        `valueChanged` in interface `ListSelectionListener`

    - #### windowDeactivated

          public void windowDeactivated(WindowEvent e)

      Specified by:
        `windowDeactivated` in interface `WindowListener`

    - #### windowActivated

          public void windowActivated(WindowEvent e)

      Specified by:
        `windowActivated` in interface `WindowListener`

    - #### windowDeiconified

          public void windowDeiconified(WindowEvent e)

      Specified by:
        `windowDeiconified` in interface `WindowListener`

    - #### windowIconified

          public void windowIconified(WindowEvent e)

      Specified by:
        `windowIconified` in interface `WindowListener`

    - #### windowOpened

          public void windowOpened(WindowEvent e)

      Specified by:
        `windowOpened` in interface `WindowListener`

    - #### windowClosed

          public void windowClosed(WindowEvent e)

      Specified by:
        `windowClosed` in interface `WindowListener`

    - #### windowClosing

          public void windowClosing(WindowEvent e)

      Specified by:
        `windowClosing` in interface `WindowListener`

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.